AI Providers
Get a specific AI Provider
AuthorizationBearer <token>
JWT access token. Use: Authorization: Bearer .
In: header
Path Parameters
aiprovider_id*Aiprovider Id
Format
uuidHeader Parameters
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null
X-Workspace-Id?string
Optional workspace scope. When omitted, the backend uses the active/default workspace from your organization context.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/aiproviders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "openai", "api_key": "string", "name": "string", "endpoint_url": "string", "is_active": true, "is_default": false, "routing_mode": "inherit", "gateway_model": "string", "gateway_interface": "inherit", "gateway_base_url": "string", "gateway_auth_header": "string", "gateway_auth_secret_env": "string", "has_gateway_auth_secret": false, "gateway_extra_headers": { "property1": "string", "property2": "string" }, "enabled_models": [ "string" ], "gateway_managed": false, "effective_routing": "inherit", "effective_gateway_interface": "litellm_shim", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "last_tested_at": "2019-08-24T14:15:22Z"}Community & contact
- Found a bug or have a feature request? Open a GitHub issue.
- Join our Discord for faster replies!
